%global drv_vendor OpenDaylight
%global pkgname networking-odl
%global srcname networking_odl
%global docpath doc/build/html

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-%{pkgname}
Epoch:          1
Version:        4.0.0
Release:        2%{?dist}
Provides:        python2-networking-odl = %{epoch}:%{version}-%{release}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://tarballs.openstack.org/%{pkgname}/%{pkgname}-%{version}.tar.gz

# patches_base=4.0.0
Patch0001: 0001-Update-UPPER_CONSTRAINTS_FILE-for-stable-ocata.patch
Patch0002: 0002-Update-tox_install-for-stable-ocata.patch
Patch0003: 0003-Updated-from-global-requirements.patch
Patch0004: 0004-Updated-from-global-requirements.patch
Patch0005: 0005-Use-journal.record-everywhere.patch
Patch0006: 0006-port-binding-trim-port_prefix-PORT_ID-to-14-length.patch
Patch0007: 0007-devstack-use-localrc_set-and-use-local.conf.patch
Patch0008: 0008-Remove-subunit-trace-fork.patch
Patch0009: 0009-Send-MAC-updates-to-ODL-for-SRIOV-PFs.patch
Patch0010: 0010-don-t-use-run_process-for-odl.patch
Patch0011: 0011-Fix-ODL-URL-creation-logic.patch
Patch0012: 0012-Updated-from-global-requirements.patch
Patch0013: 0013-Functional-tests-for-BGPVPN-V2-Driver.patch
Patch0014: 0014-Fix-vhost-string-comparison.patch
Patch0015: 0015-Send-port-fixed_ips-update-to-ODL-Controller.patch
Patch0016: 0016-Functional-tests-for-L2Gateway-V2-Driver.patch
Patch0017: 0017-full-sync-correct-sync-order-of-resource.patch
Patch0018: 0018-full_sync-sync-router-before-port.patch
Patch0019: 0019-Enable-full-sync-for-the-bgpvpn-lbaas-qos-sfc-trunk-.patch
Patch0020: 0020-Support-for-recovery-of-all-resources.patch
Patch0021: 0021-Networking_odl-maintenance-tasks-threads-compete-wit.patch

# patches_ignore=DROP-IN-RPM

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-mock
#BuildRequires:  python-neutron-tests
BuildRequires:  python-oslo-sphinx
#BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-testrepository
BuildRequires:  python-testtools
BuildRequires:  python-webtest

Requires:       openstack-neutron-ml2
Requires:       python-babel
Requires:       python-pbr


%description
This package contains %{drv_vendor} networking driver for OpenStack Neutron.


%prep
%setup -q -n %{pkgname}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1

%build
rm requirements.txt test-requirements.txt
%{__python2} setup.py build
%{__python2} setup.py build_sphinx
rm %{docpath}/.buildinfo


#%check
#%{__python2} setup.py testr


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{__python2} setup.py install --skip-build --root %{buildroot}

# Move config file to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/neutron/plugins/ml2
mv %{buildroot}/usr/etc/neutron/* %{buildroot}%{_sysconfdir}/neutron/plugins/ml2
chmod 640 %{buildroot}%{_sysconfdir}/neutron/plugins/*/*.ini


%files
%license LICENSE
%doc %{docpath}
%{_bindir}/neutron-odl-ovs-hostconfig
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/ml2/*.ini

%changelog
* Wed Aug 16 2017 Steve Linabery <slinaber@redhat.com> 1:4.0.0-2
- Networking_odl maintenance tasks(threads) compete with each other
- Support for recovery of all resources
- Enable full-sync for the bgpvpn, lbaas, qos, sfc, trunk driver
- full_sync: sync router before port
- full sync: correct sync order of resource
- Functional tests for L2Gateway V2 Driver
- Send port[fixed_ips] update to ODL Controller
- Fix vhost string comparison
- Functional tests for BGPVPN V2 Driver
- Updated from global requirements
- Fix ODL URL creation logic.
- don't use run_process for odl
- Send MAC updates to ODL for SRIOV PFs
- Remove subunit-trace fork
- devstack: use localrc_set and use local.conf
- port binding: trim port_prefix + PORT_ID to 14 length
- Use journal.record everywhere
- Updated from global requirements
- Updated from global requirements
- Update tox_install for stable/ocata
- Update UPPER_CONSTRAINTS_FILE for stable/ocata

* Thu Feb 16 2017 Alfredo Moralejo <amoralej@redhat.com> 1:4.0.0-1
- Update to 4.0.0

